# Visitor Data Properties

<table data-full-width="false"><thead><tr><th width="270">Property Name</th><th>Property Variable</th><th width="96">Type</th><th>Property Example</th></tr></thead><tbody><tr><td>Continent Name</td><td><mark style="color:yellow;"><code>continentName</code></mark></td><td>String</td><td>Oceania</td></tr><tr><td>Continent Code</td><td><mark style="color:yellow;"><code>continentCode</code></mark></td><td>String</td><td>OC</td></tr><tr><td>Country Name</td><td><mark style="color:yellow;"><code>countryName</code></mark></td><td>String</td><td>Australia</td></tr><tr><td>Country Code</td><td><mark style="color:yellow;"><code>countryCode</code></mark></td><td>String</td><td>AU</td></tr><tr><td>Region</td><td><mark style="color:yellow;"><code>region</code></mark></td><td>String</td><td>Oceania</td></tr><tr><td>National Capital</td><td><mark style="color:yellow;"><code>nationalCapital</code></mark></td><td>String</td><td>Canberra</td></tr><tr><td>City</td><td><mark style="color:yellow;"><code>city</code></mark></td><td>String</td><td>Melbourne</td></tr><tr><td>State Name</td><td><mark style="color:yellow;"><code>stateName</code></mark></td><td>String</td><td>Victoria</td></tr><tr><td>State Code</td><td><mark style="color:yellow;"><code>stateCode</code></mark></td><td>String</td><td>VIC</td></tr><tr><td>Postal/ZIP Code</td><td><mark style="color:yellow;"><code>postalCode</code></mark></td><td>String</td><td>3000</td></tr><tr><td>Is EU Visitor?</td><td><mark style="color:yellow;"><code>isEU</code></mark></td><td>Boolean</td><td>true</td></tr><tr><td>Time Zone</td><td><mark style="color:yellow;"><code>timezone</code></mark></td><td>String</td><td>Australia/Melbourne</td></tr><tr><td>Latitude</td><td><mark style="color:yellow;"><code>latitude</code></mark></td><td>String</td><td>-37.81590</td></tr><tr><td>Longitude</td><td><mark style="color:yellow;"><code>longitude</code></mark></td><td>String</td><td>144.96690</td></tr><tr><td>Airport Code</td><td><mark style="color:yellow;"><code>airportCode</code></mark></td><td>String</td><td>MEL</td></tr><tr><td>Currency Code</td><td><mark style="color:yellow;"><code>currencyCode</code></mark></td><td>String</td><td>AUD</td></tr><tr><td>Currency Symbol</td><td><mark style="color:yellow;"><code>currencySymbol</code></mark></td><td>String</td><td>$</td></tr><tr><td>Calling Code</td><td><mark style="color:yellow;"><code>callingCode</code></mark></td><td>Number</td><td>61</td></tr><tr><td>Language</td><td><mark style="color:yellow;"><code>language</code></mark></td><td>String</td><td>en-AU</td></tr><tr><td>Autonomous System Number</td><td><mark style="color:yellow;"><code>ASN</code></mark></td><td>Number</td><td>4804</td></tr><tr><td>Internet Service Provider</td><td><mark style="color:yellow;"><code>ISP</code></mark></td><td>String</td><td>Optus</td></tr><tr><td>Is Mobile Visitor?</td><td><mark style="color:yellow;"><code>isMobile</code></mark></td><td>Boolean</td><td>false</td></tr><tr><td>Device Type</td><td><mark style="color:yellow;"><code>deviceType</code></mark></td><td>String</td><td>Desktop</td></tr><tr><td>Mobile Data Saver</td><td><mark style="color:yellow;"><code>dataSaver</code></mark></td><td>Boolean</td><td>false</td></tr><tr><td>Reduced Motion</td><td><mark style="color:yellow;"><code>reducedMotion</code></mark></td><td>Boolean</td><td>false</td></tr><tr><td>Color Preference</td><td><mark style="color:yellow;"><code>colorPreference</code></mark></td><td>String</td><td>dark</td></tr><tr><td>Operating System</td><td><mark style="color:yellow;"><code>OS</code></mark></td><td>String</td><td>Windows</td></tr><tr><td>Current Page URL</td><td><mark style="color:yellow;"><code>currentPage</code></mark></td><td>String</td><td>getgeoflow.com</td></tr><tr><td>Page Referer</td><td><mark style="color:yellow;"><code>referer</code></mark></td><td>String</td><td>webflow.com</td></tr><tr><td>User Agent</td><td><mark style="color:yellow;"><code>userAgent</code></mark></td><td>String</td><td>Chrome/118.0.0.0</td></tr><tr><td>IP Address</td><td><mark style="color:yellow;"><code>IP</code></mark></td><td>String</td><td>192.168.1.1</td></tr></tbody></table>

{% hint style="info" %}
**Developer Tip**: Gain access to even more visitor data properties by enabling one or more of the optional script extensions offered. Visit this page [here](/geoflow-docs/feature/script-extensions.md) for more information.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/overview/visitor-data-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
